---
pageClass: documentation-class
---

# Two.Circle


<div class="extends">

__Extends__: `Two.Path`

</div>





<div class="meta">

  [Source Code](https://github.com/jonobr1/two.js/blob/dev/src/shapes/circle.js#L11)

</div>



### Constructor


| Argument | Description |
| ---- | ----------- |
|  `x`  | The x position of the circle. |
|  `y`  | The y position of the circle. |
|  `radius`  | The radius value of the circle. |
|  `resolution`  | The number of vertices used to construct the circle. |



---

<div class="static member ">

## Two.Circle.Properties








<div class="properties">

A list of properties that are on every [Two.Circle](/documentation/circle).

</div>








<div class="meta">

  [Source Code](https://github.com/jonobr1/two.js/blob/dev/src/shapes/circle.js#L51)

</div>






</div>



---

<div class="static function ">

## Two.Circle.MakeObservable










<div class="params">

| Argument | Description |
| ---- | ----------- |
|  `object`  | The object to make observable. |
</div>




<div class="description">

Convenience function to apply observable qualities of a [Two.Circle](/documentation/circle) to any object. Handy if you'd like to extend the [Two.Circle](/documentation/circle) class on a custom class.

</div>



<div class="meta">

  [Source Code](https://github.com/jonobr1/two.js/blob/dev/src/shapes/circle.js#L57)

</div>






</div>



---

<div class="instance member ">

## Two.Circle.radius








<div class="properties">

The size of the radius of the circle.

</div>








<div class="meta">

  [Source Code](https://github.com/jonobr1/two.js/blob/dev/src/shapes/circle.js#L32)

</div>






</div>



---

<div class="instance function ">

## Two.Circle.clone




<div class="returns">

__Returns__:



+ `Two.Circle`




</div>







<div class="params">

| Argument | Description |
| ---- | ----------- |
|  `parent`  | The parent group or scene to add the clone to. |
</div>




<div class="description">

Create a new instance of [Two.Circle](/documentation/circle) with the same properties of the current path.

</div>



<div class="meta">

  [Source Code](https://github.com/jonobr1/two.js/blob/dev/src/shapes/circle.js#L149)

</div>






</div>



---

<div class="instance function ">

## Two.Circle.toObject




<div class="returns">

__Returns__:



+ `Object`




</div>










<div class="description">

Return a JSON compatible plain object that represents the path.

</div>



<div class="meta">

  [Source Code](https://github.com/jonobr1/two.js/blob/dev/src/shapes/circle.js#L180)

</div>






</div>


